---
- name: Create Jingrow User
  user:
    name: jingrow
    password: "!"
    password_lock: yes
    shell: /bin/bash
    append: no
    uid: 1000
    generate_ssh_key: yes

- name: Allow Passwordless sudo Access to Jingrow User
  copy:
    src: files/sudoers
    dest: /etc/sudoers.d/jingrow

- name: Create SSH Keys for root User
  user:
    name: root
    generate_ssh_key: yes

- name: Change ownership of home directory to jingrow user
  file:
    path: "/home/jingrow"
    owner: "jingrow"
    group: "jingrow"
    recurse: yes
    state: directory
